IOSS 2.0

Public Types | Public Member Functions | List of all members
tsl::bhopscotch_map< Key, T, Hash, KeyEqual, Compare, Allocator, NeighborhoodSize, StoreHash, GrowthPolicy >::KeySelect Class Reference

## Public Types
using | key_type = Key

## Public Member Functions
const key_type & | operator() (const std::pair< const Key, T > &key_value) const
const key_type & | operator() (std::pair< const Key, T > &key_value)

## Member Typedef Documentation

## ◆ key_type

template<class Key , class T , class Hash = std::hash<Key>, class KeyEqual = std::equal_to<Key>, class Compare = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>, unsigned int NeighborhoodSize = 62, bool StoreHash = false, class GrowthPolicy = tsl::hh::power_of_two_growth_policy<2>>

using tsl::bhopscotch_map< Key, T, Hash, KeyEqual, Compare, Allocator, NeighborhoodSize, StoreHash, GrowthPolicy >::KeySelect::key_type = Key

## Member Function Documentation

## ◆ operator()() [1/2]

template<class Key , class T , class Hash = std::hash<Key>, class KeyEqual = std::equal_to<Key>, class Compare = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>, unsigned int NeighborhoodSize = 62, bool StoreHash = false, class GrowthPolicy = tsl::hh::power_of_two_growth_policy<2>>

const key_type& tsl::bhopscotch_map< Key, T, Hash, KeyEqual, Compare, Allocator, NeighborhoodSize, StoreHash, GrowthPolicy >::KeySelect::operator() | ( | const std::pair< const Key, T > & | key_value | ) | const
| inline

## ◆ operator()() [2/2]

template<class Key , class T , class Hash = std::hash<Key>, class KeyEqual = std::equal_to<Key>, class Compare = std::less<Key>, class Allocator = std::allocator<std::pair<const Key, T>>, unsigned int NeighborhoodSize = 62, bool StoreHash = false, class GrowthPolicy = tsl::hh::power_of_two_growth_policy<2>>

const key_type& tsl::bhopscotch_map< Key, T, Hash, KeyEqual, Compare, Allocator, NeighborhoodSize, StoreHash, GrowthPolicy >::KeySelect::operator() | ( | std::pair< const Key, T > & | key_value | ) |
| inline

The documentation for this class was generated from the following file:

- src/hash/bhopscotch_map.h